Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.bpi
Class OTDMNodeImpl

    java.lang.Object
      com.stc.swift.bpi.OTDMNodeImpl

All Implemented Interfaces:
  com.stc.bpms.common.integration.mapper.MNode

    public class OTDMNodeImpl

extends java.lang.Object
implements com.stc.bpms.common.integration.mapper.MNode

MNode implementation for XSLT Collaboration Definition. The MNode interface is very similar to the TreeModel interface so I'm going to make sure of the TreeModel implementation for Schema.

Version:
  $Revision: 1.8 $

Field Summary

Fields inherited from interface com.stc.bpms.common.integration.mapper.MNode
`ANY_TYPE, ANYURI_TYPE, BASE64_BINARY_TYPE, BOOLEAN_TYPE, BYTE_TYPE, DATE_TIME_TYPE, DATE_TYPE, DAY_TYPE, DECIMAL_TYPE, DEFAULT_KEY, DOUBLE_TYPE, DURATION_TYPE, FACTORY_SUFFIX, FLOAT_TYPE, HEX_BINARY_TYPE, INT_TYPE, LONG_TYPE, MONTH_DAY_TYPE, MONTH_TYPE, NOTATION_TYPE, QNAME_TYPE, SHORT_TYPE, STRING_TYPE, TIME_TYPE, YEAR_MONTH_TYPE, YEAR_TYPE`

Constructor Summary
`OTDMNodeImpl(com.stc.bpms.common.integration.mapper.MNode parent, com.stc.otd.forest.OtdWood node, com.stc.otd.forest.OtdGrove grove, com.stc.otd.forest.OtdOrigin origin)` Constructor.
`OTDMNodeImpl(com.stc.bpms.common.model.wsdl.Part part)` Constructor.

Method Summary
`com.stc.bpms.common.integration.mapper.MNode` | `getChildAt(int index)`
`int` | `getChildCount()`
`java.util.List` | `getChildren()`
`java.lang.String` | `getDescription()`
`int` | `getMax()`
`int` | `getMin()`
`java.lang.String` | `getName()`
`com.stc.bpms.common.integration.mapper.MNode` | `getParent()`
`java.lang.String` | `getXSDType()`
`boolean` | `isAttribute()`
`boolean` | `isLeaf()`
`boolean` | `isOptional()` com.stc.bpms.common.integration.mapper.MNode#isOptional()

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OTDMNodeImpl

    public OTDMNodeImpl(com.stc.bpms.common.model.wsdl.Part part)

  Constructor. Builds the entire MNode tree.

  Parameters:
    `part` - the WSDL message part for which this MNode is for.

### OTDMNodeImpl

    public OTDMNodeImpl(com.stc.bpms.common.integration.mapper.MNode parent,
                        com.stc.otd.forest.OtdWood node,
                        com.stc.otd.forest.OtdGrove grove,
                        com.stc.otd.forest.OtdOrigin origin)

  Constructor. Builds an MNode subtree.

  Parameters:
    `parent` - the parent MNode
    `node` - the associated node in the schema model for the parent MNode
    `model` - the schema model

Method Detail

### getChildAt

    public com.stc.bpms.common.integration.mapper.MNode getChildAt(int index)
                                                            throws com.stc.bpms.common.integration.mapper.MNodeException

  Specified by:
    `getChildAt` in interface `com.stc.bpms.common.integration.mapper.MNode`
  Throws:
    `com.stc.bpms.common.integration.mapper.MNodeException`
  See Also:
    `MNode.getChildAt(int)`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.getChildCount()`

### getChildren

    public java.util.List getChildren()

  Specified by:
    `getChildren` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.getChildren()`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.getDescription()`

### getMax

    public int getMax()

  Specified by:
    `getMax` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.getMax()`

### getMin

    public int getMin()

  Specified by:
    `getMin` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.getMin()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.getName()`

### getParent

    public com.stc.bpms.common.integration.mapper.MNode getParent()

  Specified by:
    `getParent` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.getParent()`

### getXSDType

    public java.lang.String getXSDType()

  Specified by:
    `getXSDType` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.getXSDType()`

### isAttribute

    public boolean isAttribute()

  Specified by:
    `isAttribute` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.isAttribute()`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `com.stc.bpms.common.integration.mapper.MNode`
  See Also:
    `MNode.isLeaf()`

### isOptional

    public boolean isOptional()

  com.stc.bpms.common.integration.mapper.MNode#isOptional()

  Specified by:
    `isOptional` in interface `com.stc.bpms.common.integration.mapper.MNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.